Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ Creator & Designer Forum Discussions

SuMa_296631
Level 5
Level 5
50 replies posted 25 replies posted 10 replies posted

I have bought a CY8CPROTO-063-BLE prototyping kit. I had PSoC Creator installed and I've upgraded it to V4.2 and the PDL to 3.1.0. When I try to create as new project and select the 'Target Kit' option, all I see are the CY8CKIT-059, CY8CKIT-049-42xx and CY8CKIT-050LP 3.0 options.

If I try to create a project based on the 'Target Device', I can select the PSoC6 family but there is no CYBLE-416045-02 device which is the one on the kit.

What am I missing to be able to create my own project to run on this kit?

Susan

0 Likes
1 Solution

Please download the latest PSoC Programmer 3.28.3​​ which will install all the latest devices. In Creator, use Tools > Find new devices to install new devices if any.

Once done, you should be able to see the device listed.

Regards,
Dheeraj

View solution in original post

6 Replies
DheerajK_81
Moderator
Moderator
Moderator
First comment on KBA First comment on blog 5 questions asked

Use Create new project > Target Device > Launch Device Selector as illustrated below:

samp2.png

You should see your device listed in the last in the Device Selector window

samp1.png

Click OK > Next > Empty Schematic and then follow the onscreen instructions to create the project. Happy developing

Regards,
Dheeraj

0 Likes

I'm sorry but I may not have been clear in this part of my question - the CYBLE-416045-02 does *NOT* appear in the device selector. That is what I meant by the device not being listed.

Where is the list of devices kept?

Is there something else that needs to be updated?

Susan

0 Likes

Hi,

I tired with my PSoC Creator v4.2, and I could see CYBLE-41065-02 in my device selector even I've never installed sample etc for this board.

002-Device-selector.JPG

So I think there are (at least) two possibilities

(1) You have not run update manager

Start update manager by selecting the Menu Help > Update Manager

000-Heop-Updater.JPG

Then update whatever outdated (which shows "Update" button enabled.

001-Update-Manager.JPG

(2) In case, update manager did not help,  another thing I can think of is that I have installed package for PSoC 6 Boards,

namely PSoC 6 WiFi-Bt Pioneer Kit (CY8CKIT-062-WiFi-Bt) and PSoC 6 BLE Pioneer Kit (Cy8CKIT-062-BLE).

Download and install xxxx Pioneer Kit only Package may install the data for that device.

(I'm only guessing though)

https://www.cypress.com/documentation/development-kitsboards/psoc-6-wifi-bt-pioneer-kit-cy8ckit-062-...

https://www.cypress.com/documentation/development-kitsboards/psoc-6-ble-pioneer-kit-cy8ckit-062-ble

moto

0 Likes

Please download the latest PSoC Programmer 3.28.3​​ which will install all the latest devices. In Creator, use Tools > Find new devices to install new devices if any.

Once done, you should be able to see the device listed.

Regards,
Dheeraj

Thanks Dheeraj -the use of "Tools > Find New Devices" was the missing step!

As a matter of interest, is that step actually documented anywhere? All of the documents I read simply said that you needed PSoC Create 4.2 (etc.) and I saw nothing about using that menu option.

Susan

0 Likes

This is documented in the PSoC Creator user guide (link: https://www.cypress.com/file/137441/download )

Please refer to Tools menu section on Page#96.

Regards,

Dheeraj

0 Likes